org.eclipse.draw2d

## Class SWTEventDispatcher.FigureAccessibilityDispatcher

- java.lang.Object
- - org.eclipse.draw2d.EventDispatcher.AccessibilityDispatcher
  - - org.eclipse.draw2d.SWTEventDispatcher.FigureAccessibilityDispatcher

All Implemented Interfaces:
  java.util.EventListener, AccessibleControlListener, AccessibleListener, SWTEventListener

Enclosing class:
  SWTEventDispatcher

    protected class SWTEventDispatcher.FigureAccessibilityDispatcher
    extends EventDispatcher.AccessibilityDispatcher

Implements `EventDispatcher.AccessibilityDispatcher` but does nothing in the implementation.

### Constructor Summary

Constructors
`protected` `SWTEventDispatcher.FigureAccessibilityDispatcher()`

### Method Summary

Methods
`void` `getChildAtPoint(AccessibleControlEvent e)`
`void` `getChildCount(AccessibleControlEvent e)`
`void` `getChildren(AccessibleControlEvent e)`
`void` `getDefaultAction(AccessibleControlEvent e)`
`void` `getDescription(AccessibleEvent e)`
`void` `getFocus(AccessibleControlEvent e)`
`void` `getHelp(AccessibleEvent e)`
`void` `getKeyboardShortcut(AccessibleEvent e)`
`void` `getLocation(AccessibleControlEvent e)`
`void` `getName(AccessibleEvent e)`
`void` `getRole(AccessibleControlEvent e)`
`void` `getSelection(AccessibleControlEvent e)`
`void` `getState(AccessibleControlEvent e)`
`void` `getValue(AccessibleControlEvent e)`

### Methods inherited from class org.eclipse.draw2d.EventDispatcher.AccessibilityDispatcher

`getChild`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SWTEventDispatcher.FigureAccessibilityDispatcher

    protected SWTEventDispatcher.FigureAccessibilityDispatcher()

### Method Detail

#### getChildAtPoint

    public void getChildAtPoint(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getChildAtPoint(AccessibleControlEvent)`

#### getChildCount

    public void getChildCount(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getChildCount(AccessibleControlEvent)`

#### getChildren

    public void getChildren(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getChildren(AccessibleControlEvent)`

#### getDefaultAction

    public void getDefaultAction(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getDefaultAction(AccessibleControlEvent)`

#### getDescription

    public void getDescription(AccessibleEvent e)

See Also:
  `AccessibleListener.getDescription(AccessibleEvent)`

#### getFocus

    public void getFocus(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getFocus(AccessibleControlEvent)`

#### getHelp

    public void getHelp(AccessibleEvent e)

See Also:
  `AccessibleListener.getHelp(AccessibleEvent)`

#### getKeyboardShortcut

    public void getKeyboardShortcut(AccessibleEvent e)

See Also:
  `AccessibleListener.getKeyboardShortcut(AccessibleEvent)`

#### getLocation

    public void getLocation(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getLocation(AccessibleControlEvent)`

#### getName

    public void getName(AccessibleEvent e)

See Also:
  `AccessibleListener.getName(AccessibleEvent)`

#### getRole

    public void getRole(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getRole(AccessibleControlEvent)`

#### getSelection

    public void getSelection(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getSelection(AccessibleControlEvent)`

#### getState

    public void getState(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getState(AccessibleControlEvent)`

#### getValue

    public void getValue(AccessibleControlEvent e)

See Also:
  `AccessibleControlListener.getValue(AccessibleControlEvent)`